# Testing Framework

## Framework that abstracts the configuration for playwright and Jest

     - Playwright
     - Jest

## Cli

## Feature Supported
   
  ### Run TestCase

    - npm run test
  ### Generate Report

     - npm run report

## Version History

### v0.2.8 - 26-09-2024

#### Feature
  - Added support for writing unitcases for framework implementations

### Bug fix
  - Updated the custom-reported to include the errors in tests during the executions. It will help us avoid the stage passed without the actual test execution. 


## Version History

### v3.0.8 - 25-12-2024

#### Enhancement
  - Added support to disable headless mode using command line arguments
  - Proper validation added for node 14 build process
  - Removed unwanted uat.config.js files in test projects (examples / nobdd)

### v0.2.9.2 - 22-11-2024   

#### BugFix
  - Implemented synchronization for the login process. This fix will help avoid login session-related failures in UAT.
  
### v0.3.1 - 13-11-2024

#### Issue Fix
- Adding bddmode to get the fixtures.

### v0.2.9.1 - 14-11-2024

#### Enhancement
   - Beta feature Actors and edition configurations are unified 

### v0.2.9 - 25-10-2024

#### Feature
  - Added support for scenario level tag support
  - Added a new cli optin like uat-validate to validate the feature files using playwright-bdd
  - Mode based configuration implementations
  - @only option enabled in dev pipeline
  - Latest setup related configuration changed for init option

### v0.3.0 - 25-10-2024

#### Features
  - Added support for scenario level tag support
  - Updated the configuration for `video` and `trace` to accept Playwright-specific values instead of boolean values.
  - Below package versions are updated in this release. 
    - playwright - 1.48.0, 
    - playwright-bdd - 7.5.0,
    - @playwright/test - 1.48.0,
    - @cucumber/cucumber - 11.0.1
  - From this version, We adopt the playwright-bdd as library instead of modified source
  - Published on 11-11-2024
  
#### Deprecations
  - **Deprecated**: Passing `video` and `trace` as boolean (`true`/`false`) in project configuration.
  - **New Approach**: Use Playwright values for `video` and `trace` options, such as `'on'`, `'retain-on-failure'`, or `'off'`.

### v0.3.1 - 13-11-2024

#### Issue Fix
- Adding bddmode to get the fixtures.

### v0.3.3 - 27-11-2024

#### Feature
- Custom report integration support (ReportPortal)

### v0.2.9.1 - 14-11-2024

#### Enhancement
   - Beta feature Actors and edition configurations are unified 

### v0.2.9.2 - 22-11-2024   

#### BugFix
    - Implemented synchronization for the login process. This fix will help avoid login session-related failures in UAT.
