"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createAuthDirectoryIfNotExist = createAuthDirectoryIfNotExist;
exports.getLockDirectoryPath = getLockDirectoryPath;
var _fs = require("fs");
var _path = _interopRequireDefault(require("path"));
var _checkAuthCookies = require("./auth/checkAuthCookies");
var _readConfigFile = require("../readConfigFile");
function createAuthDirectoryIfNotExist() {
  const authDirectory = (0, _checkAuthCookies.getAuthFileDirectory)();
  if (!(0, _fs.existsSync)(authDirectory)) {
    console.log('Creating auth directory for the first time setup...');
    (0, _fs.mkdirSync)(authDirectory, {
      recursive: true
    });
  }
}
function getLockDirectoryPath() {
  const {
    uatDirectory
  } = (0, _readConfigFile.generateConfigFromFile)();
  return _path.default.resolve(_path.default.join(uatDirectory, 'playwright', '.lock'));
}