"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _commander = require("commander");
var _fs = require("fs");
var _path = _interopRequireDefault(require("path"));
var _logger = require("../utils/logger");
function helpercmd() {
  const packageJsonPath = _path.default.resolve(process.cwd(), './package.json');
  if ((0, _fs.existsSync)(packageJsonPath) && process.argv.includes('--version')) {
    const {
      dependencies
    } = require(packageJsonPath);
    _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, `zohodesk/testinglibrary Version : ${dependencies['@zohodesk/testinglibrary']}`);
    _commander.program.version(dependencies['@zohodesk/testinglibrary'] || '0.0.1');
    return;
  }
  _logger.Logger.log(_logger.Logger.SUCCESS_TYPE, 'Supported Commands...');
  _commander.program.name('npx ZDTestingFramework');
  _commander.program.command('test').description('This command is used to execute tests');
  _commander.program.command('init').description('This command will initialize Project');
  _commander.program.command('report').description('This command is used to generate a report summarizing the results of  executed tests.');
  _commander.program.command('re-run-failed').description('This command will re-run the failed test cases based on test summary');
  _commander.program.command('codegen').description('This command is used to assist developer to write test case');
  _commander.program.option('--headed', 'Run tests with a headed browser.');
  _commander.program.option('--debug', 'This command is used to initiate a debugging session');
  _commander.program.option('--tags', 'Run specific test case with mentioned tags (Usage: -- --tags="@live")');
  _commander.program.option('--workers', 'Specify number of workers to run the test case parallely (Usage: -- --workers=2)');
  _commander.program.option('--edition', 'Specify edition to run the test cases (Usage: -- --edition="standard". This will run the test cases with either no edition mentioned or edition standard)');
  _commander.program.option('--browsers', 'Specify the browsers on which the test case should run (Usage: -- --browsers="chrome,firefox,safari")');
  _commander.program.parse(process.argv);
}
var _default = exports.default = helpercmd;