"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _RunnerHelper = _interopRequireDefault(require("../../../../../core/playwright/runner/RunnerHelper"));
var _SpawnRunner = _interopRequireDefault(require("../../../../../core/playwright/runner/SpawnRunner"));
describe('RunnerHelper', () => {
  describe('createRunner', () => {
    it('should throw error on invalid runner type', () => {
      expect(() => _RunnerHelper.default.createRunner('invalid-type', {})).toThrow("Invalid runner type");
    });
    it('should create a valid runner class', () => {
      const runnerInstance = _RunnerHelper.default.createRunner('spawn', {});
      expect(runnerInstance).toBeInstanceOf(_SpawnRunner.default); // Directly pass the result
    });
  });
});